Package: npm2deb
Version: 0.2.5-1
Severity: important

Dear Maintainer,

   * What led up to the situation?
npm2deb fails to handle unicode characters.

   * What exactly did you do (or not do) that was effective (or
npm2deb search invert-kv

   * What was the outcome of this action?
npm2deb crashed with error:
'ascii' codec can't decode byte 0xe2 in position 102: ordinal not in range(128)

The invert-kv package contains a non ASCII character in description which 
npm2deb fails to handle. 

   * What outcome did you expect instead?
npm2deb should not fail.

-- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.16.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages npm2deb depends on:
ii  devscripts                2.16.8
ii  node-github-url-from-git  1.4.0-1
ii  npm                       1.4.21+ds-2
ii  python3-dateutil          2.5.3-2
pn  python3:any               <none>

npm2deb recommends no packages.

npm2deb suggests no packages.

-- no debconf information

Reply via email to